GNU Binutils 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1141101 漏洞类型 缓冲区错误
发布时间 2017-03-23 更新时间 2019-10-23
CVE编号 CVE-2017-7226 CNNVD-ID CNNVD-201703-999
漏洞平台 N/A CVSS评分 6.4
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201703-999
|漏洞详情
GNU Binutils(又名GNU Binary Utilities或binutils)是GNU计划开发的一组编程语言工具程序,它主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。Binary File Descriptor(BFD)library(又名libbfd)是其中的一个以各种格式便携式操作对象文件的库。 GNU Binutils 2.28版本中的BFD library中的‘pe_ILF_object_p’函数存在基于堆的缓冲区溢出漏洞。攻击者可利用该漏洞造成拒绝服务。
|参考资料

来源:sourceware.org
链接:https://sourceware.org/bugzilla/show_bug.cgi?id=20905
来源:NSFOCUS
名称:36206
链接:http://www.nsfocus.net/vulndb/36206